#
#  ----->>>   root libraries
#

ROOTVER    =  `root-config --version`
ROOTLIBS   =  `root-config --libs` -lMinuit -lHistPainter
ROOTGLIBS  =  `root-config --glibs` -lMinuit -lHistPainter
ROOTCFLAGS =  `root-config --cflags`

#
#  compiler flags
#

#
# You can use this flags to further costumize compilation:
#   export MARSDEFINES="-DHAVE_DARKBACKGROUND -DHAVE_XPM"
#   export MARSFLAGS=
#   export MARSLIBS="-lX11 -lXpm -L/usr/X11R6/lib"
#
DEFINES	  = -DMARSVER=\"\<cvs\>\"  -DROOTVER=\"$(ROOTVER)\" $(ARCHDEF) $(MARSDEFINES)

CXXFLAGS  = $(ROOTCFLAGS) $(INCLUDES) $(OPTIM) $(DEBUG) $(DEFINES)
CFLAGS    = $(CXXFLAGS) $(MARSFLAGS)
FFLAGS    = $(CXXFLAGS)

